Attribute VB_Name = "ImportSWOMSData"
Option Compare Database


Public Sub ImportSWOMS_DATA()
    Dim importFile As String
    importFile = "\\Hqs-nas-t-001\cg-5\CG-54\CG-543\CG-5432\" _
        & "ECP - Environmental Compliance Program Master File\" _
        & "EmailSystem\SWOMS_DATA.csv"
        ' The SWOMS import spec must be named like below to work
    DoCmd.TransferText acImportDelim, "SWOMS_DATA Spec", _
        "SWOMS Data", importFile, vbYes
    Kill importFile
    Open importFile For Output As #1
    Print #1, "IMO Number,Date (dd/mm/yyyy),Time (UTC; 00:00:00)," _
        & "Latitude,Longitude,Bilge Pump Runs,Bilge Pump Run Time," _
        & "OWS Runs,OWS Run Time,Overboard Opened,Overboard Open Time," _
        & "PPM Alarms,Average PPM Overboard,OCM Fresh Water Valve Opened," _
        & "Oil Purge Valve Opened,Oil Purge Valve Open Time," _
        & "Incinerator Runs,Incinerator Run Time,Tank01 LVL,Tank01 VOL," _
        & "Tank02 LVL,Tank02 VOL,Tank03 LVL,Tank03 VOL,Tank04 LVL," _
        & "Tank04 VOL,Tank05 LVL,Tank05 VOL,Tank06 LVL,Tank06 VOL," _
        & "Tank07 LVL,Tank07 VOL,Tank08 LVL,Tank08 VOL,Tank09 LVL," _
        & "Tank09 VOL,Tank10 LVL,Tank10 VOL,Tank11 LVL,Tank11 VOL," _
        & "Tank12 LVL,Tank12 VOL,Tank13 LVL,Tank13 VOL,Tank14 LVL," _
        & "Tank14 VOL,Tank15 LVL,Tank15 VOL,Tank16 LVL,Tank16 VOL"
    Close #1
End Sub
